#ifndef MY_MTUX_H_
#define MY_MTUX_H_

#ifdef _MSC_VER
    #include <windows.h>
    #define pthread_mutex_t HANDLE
#else 
    #include <pthread.h>
#endif

class MySignal {
    public:
        MySignal();
        ~MySignal();
        void MyLock();
        void MyUnLock();
        void MyInitLock();
        void MyDelLock();
        pthread_mutex_t mTux;
};

#endif